import { GefestElement } from "../element";

export class GefestSpan extends GefestElement {
    constructor(content : (GefestElement | string)[] | string) {
        super(content);
    }

    protected wrapHTML (content: string): string {
        const attrString = this.attributesToString();
        return `<span ${attrString}>${content}</span>`;
    }
}